#
# spec file for package python-liblarch
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Dominique Leuenberger, Amsterdam, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-liblarch
%define         _name liblarch
Version:        2.1.0
Release:        10.1
Summary:        A python library to easily handle data structure
License:        LGPL-3.0+
Group:          Development/Languages/Python
Url:            https://live.gnome.org/liblarch
Source:         http://gtg.fritalk.com/publique/gtg.fritalk.com/liblarch/2.1.0/%{_name}-%{version}.tar.gz
BuildRequires:  python
Requires:       python-gobject2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{py_requires}
%else
BuildArch:      noarch
%endif

%description
Liblarch is a python library built to easily handle data structure such are lists, trees and acyclic graphs
(tree where nodes can have multiple parents)

%package -n python-liblarch_gtk
%define         _name_gtk liblarch_gtk
Summary:        GTK bindings for liblarch
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       python-gobject2
Requires:       python-gtk

%description -n python-liblarch_gtk
Liblarch is a python library built to easily handle data structure such are lists, trees and acyclic graphs
(tree where nodes can have multiple parents)

This package provides GTK bindings for liblarch.

%prep
%setup -q -n %{_name}-%{version}

%build
python setup.py build

%install
python setup.py install --root %{buildroot} --prefix %{_prefix}

%files
%defattr(-,root,root)
%doc README LICENSE
%{python_sitelib}/%{_name}-%{version}-*.egg-info
%{python_sitelib}/%{_name}/

%files -n python-liblarch_gtk
%defattr(-,root,root)
%doc README LICENSE
%{python_sitelib}/%{_name_gtk}/

%changelog
* Sat Jan 26 2013 zaitor@opensuse.org
- Update to version 2.1.0:
  + Removed completely the "transparency" property.
  + Added a new object : viewcount
  + The version number of liblarch will now be the API number + a
    number.
- Added liblarch_gtk as a subpackage, it is no longer released as a
  separate sourcepackage.
* Thu Jan  3 2013 toddrme2178@gmail.com
- Fix building on SLES 11
* Tue Feb 28 2012 cfarrell@suse.com
- license update: LGPL-3.0+
  See README and License files. This package is LGPL-3.0+
* Wed Feb 15 2012 dimstar@opensuse.org
- Initial package, version 0.1.0.
